import { OnInit } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { TranslateLibraryService } from '../../../services/translation-registry.service';
import { QMSCKEditorTemplate } from '../../models/qms-ckeditor-template.model';
import { QMSCKEditorBaseComponent } from '../../qms-ckeditor-base.component';
import { QMSCKEditorTemplateService } from '../../services/qms-ckedtior-template.service';
export declare class QMSCKEditorLoadTemplateComponent extends QMSCKEditorBaseComponent implements OnInit {
    private dialog;
    private translate;
    private templateService;
    dialogRef: MatDialogRef<QMSCKEditorLoadTemplateComponent>;
    data: string;
    LANG: any;
    templates: QMSCKEditorTemplate[];
    constructor(dialog: MatDialog, translate: TranslateLibraryService, templateService: QMSCKEditorTemplateService, dialogRef: MatDialogRef<QMSCKEditorLoadTemplateComponent>, data: string);
    ngOnInit(): void;
    onCloseDialog(): void;
    getTemplate(): void;
    onSelectTemplate(id: number): void;
    onEditTemplate(id: number): void;
    onDeleteTemplate(id: number): void;
}
